Bug 1299044 - [abrt] plasma-workspace: KCrash::defaultCrashHandler(): plasmashell killed by SIGSEGV
[abrt] plasma-workspace: KCrash::defaultCrashHandler(): plasmashell killed by...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4664ba13bcdec3b366bc7587bbe...
:
: 1313948 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-15 14:28 EST by Michael Hoppes
Modified: 2016-12-20 12:55 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:55:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (69.79 KB, text/plain)
2016-01-15 14:28 EST, Michael Hoppes
no flags Details
File: cgroup (200 bytes, text/plain)
2016-01-15 14:28 EST, Michael Hoppes
no flags Details
File: core_backtrace (10.74 KB, text/plain)
2016-01-15 14:28 EST, Michael Hoppes
no flags Details
File: dso_list (25.57 KB, text/plain)
2016-01-15 14:28 EST, Michael Hoppes
no flags Details
File: environ (2.61 KB, text/plain)
2016-01-15 14:28 EST, Michael Hoppes
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-15 14:28 EST, Michael Hoppes
no flags Details
File: maps (117.54 KB, text/plain)
2016-01-15 14:28 EST, Michael Hoppes
no flags Details
File: mountinfo (3.03 KB, text/plain)
2016-01-15 14:28 EST, Michael Hoppes
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-15 14:28 EST, Michael Hoppes
no flags Details
File: open_fds (185 bytes, text/plain)
2016-01-15 14:28 EST, Michael Hoppes
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2016-01-15 14:28 EST, Michael Hoppes
no flags Details
File: var_log_messages (238 bytes, text/plain)
2016-01-15 14:28 EST, Michael Hoppes
no flags Details

  None (edit)
Description Michael Hoppes 2016-01-15 14:28:11 EST
Version-Release number of selected component:
plasma-workspace-5.5.3-4.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/plasmashell --shut-up
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasmashell
global_pid:     1646
kernel:         4.3.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 KCrash::defaultCrashHandler at ../../src/kcrash.cpp:431
 #3 memmove at ../sysdeps/x86_64/multiarch/memcpy-ssse3-back.S:1574
 #5 drisw_update_tex_buffer at drisw.c:356
 #6 dri_set_tex_buffer2 at dri_drawable.c:245
 #7 Plasma::WindowThumbnail::bindGLXTexture at ../../../../src/declarativeimports/core/windowthumbnail.cpp:447
 #8 Plasma::WindowThumbnail::windowToTextureGLX at ../../../../src/declarativeimports/core/windowthumbnail.cpp:282
 #9 Plasma::WindowThumbnail::windowToTexture at ../../../../src/declarativeimports/core/windowthumbnail.cpp:394
 #10 Plasma::WindowThumbnail::updatePaintNode at ../../../../src/declarativeimports/core/windowthumbnail.cpp:199
 #11 QQuickWindowPrivate::updateDirtyNode at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/quick/items/qquickwindow.cpp:2984
 #12 QQuickWindowPrivate::updateDirtyNodes at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/quick/items/qquickwindow.cpp:2722
Comment 1 Michael Hoppes 2016-01-15 14:28:18 EST
Created attachment 1115244 [details]
File: backtrace
Comment 2 Michael Hoppes 2016-01-15 14:28:19 EST
Created attachment 1115245 [details]
File: cgroup
Comment 3 Michael Hoppes 2016-01-15 14:28:20 EST
Created attachment 1115246 [details]
File: core_backtrace
Comment 4 Michael Hoppes 2016-01-15 14:28:21 EST
Created attachment 1115247 [details]
File: dso_list
Comment 5 Michael Hoppes 2016-01-15 14:28:22 EST
Created attachment 1115248 [details]
File: environ
Comment 6 Michael Hoppes 2016-01-15 14:28:23 EST
Created attachment 1115249 [details]
File: limits
Comment 7 Michael Hoppes 2016-01-15 14:28:24 EST
Created attachment 1115250 [details]
File: maps
Comment 8 Michael Hoppes 2016-01-15 14:28:25 EST
Created attachment 1115251 [details]
File: mountinfo
Comment 9 Michael Hoppes 2016-01-15 14:28:26 EST
Created attachment 1115252 [details]
File: namespaces
Comment 10 Michael Hoppes 2016-01-15 14:28:27 EST
Created attachment 1115253 [details]
File: open_fds
Comment 11 Michael Hoppes 2016-01-15 14:28:28 EST
Created attachment 1115254 [details]
File: proc_pid_status
Comment 12 Michael Hoppes 2016-01-15 14:28:29 EST
Created attachment 1115255 [details]
File: var_log_messages
Comment 13 Daniel 2016-01-23 13:09:36 EST
Another user experienced a similar problem:

1. I opened Cloud Storage Service Manager from the KDE Menu
2. I clicked the Add button
3. I expanded the Add Service dialog

Crash occured as the window was expanding.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/plasmashell --shut-up
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasmashell
global_pid:     1519
kernel:         4.3.3-301.fc23.x86_64
package:        plasma-workspace-5.5.3-4.fc23
reason:         plasmashell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Timothe Perez 2016-02-16 12:09:23 EST
Similar problem has been detected:

Hello,
Plasma keeps randomly crashing, during basic usages : mouse click on taskbar icons, or when i'm just typing or even just browsing websites.
This is extremely random, and on my workstation it can happen from 0 to 3 times a working day (8h)
I have a dual monitor setup, running KDE with Fedora 23 
Plasma is also losing my taskbars setup each time (and sometime even on boot my config is wrong): I have one taskbar on each screen, and when it crashes taskbars are reset both on the same screen.
 

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/plasmashell --shut-up
crash_function: KCrash::defaultCrashHandler
executable:     /usr/bin/plasmashell
global_pid:     1712
kernel:         4.3.5-300.fc23.x86_64
package:        plasma-workspace-5.5.4-2.fc23
reason:         plasmashell killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Dorin Lazar 2016-03-02 11:43:53 EST
*** Bug 1313948 has been marked as a duplicate of this bug. ***
Comment 16 Fedora End Of Life 2016-11-24 09:58:55 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 12:55:56 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.